Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
ffitest.h File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <ffi.h>`
`#include "fficonfig.h"`

Go to the source code of this file.

## Macros
#define | MAX_ARGS 256
#define | CHECK(x) (void)(!(x) ? (abort(), 1) : 0)
#define | __UNUSED__
#define | __STDCALL__ __stdcall
#define | __THISCALL__ __thiscall
#define | __FASTCALL__ __fastcall
#define | ABI_NUM FFI_DEFAULT_ABI
#define | ABI_ATTR
#define | PRIdLL "lld"
#define | PRIuLL "llu"
#define | PRIuPTR "u"

## Macro Definition Documentation

## ◆ __FASTCALL__

#define __FASTCALL__ __fastcall

Definition at line 31 of file ffitest.h.

## ◆ __STDCALL__

#define __STDCALL__ __stdcall

Definition at line 29 of file ffitest.h.

## ◆ __THISCALL__

#define __THISCALL__ __thiscall

Definition at line 30 of file ffitest.h.

## ◆ __UNUSED__

#define __UNUSED__

Definition at line 28 of file ffitest.h.

## ◆ ABI_ATTR

#define ABI_ATTR

Definition at line 36 of file ffitest.h.

## ◆ ABI_NUM

#define ABI_NUM FFI_DEFAULT_ABI

Definition at line 35 of file ffitest.h.

## ◆ CHECK

#define CHECK | ( |  | x | ) | (void)(!(x) ? (abort(), 1) : 0)

Definition at line 18 of file ffitest.h.

## ◆ MAX_ARGS

#define MAX_ARGS 256

Definition at line 16 of file ffitest.h.

## ◆ PRIdLL

#define PRIdLL "lld"

Definition at line 70 of file ffitest.h.

## ◆ PRIuLL

#define PRIuLL "llu"

Definition at line 71 of file ffitest.h.

## ◆ PRIuPTR

#define PRIuPTR "u"

Definition at line 134 of file ffitest.h.